#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is this file as it was released upon August 6, 1998.
#
# The Initial Developer of the Original Code is
# Christopher Seawood.
# Portions created by the Initial Developer are Copyright (C) 1998
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

# A netscape style .mk file for autoconf builds

INCLUDED_AUTOCONF_MK = 1
USE_AUTOCONF 	= 1
MOZILLA_CLIENT	= 1
BUILD_MODULES	= all
MOZILLA_VERSION = 1.8.1.20
FIREFOX_VERSION	= 2.0.0.20
THUNDERBIRD_VERSION	= 2.0.0.21
SUNBIRD_VERSION = 0.9pre
SEAMONKEY_VERSION	= 1.1.14pre

MOZ_BUILD_APP = composer
MOZ_APP_NAME	= kompozer
MOZ_APP_DISPLAYNAME = KompoZer
MOZ_APP_VERSION = 0.8b3

MOZ_PKG_SPECIAL = 

prefix		= /usr
exec_prefix	= ${prefix}
bindir		= ${exec_prefix}/bin
includedir	= ${prefix}/include/$(MOZ_APP_NAME)
libdir		= /usr/lib64
datadir		= ${prefix}/share
mandir		= ${prefix}/man
idldir		= ${prefix}/share/idl/$(MOZ_APP_NAME)

mozappdir	= $(libdir)/$(MOZ_APP_NAME)
mredir		= $(libdir)/mre/mre-$(MOZ_APP_VERSION)
mrelibdir	= $(mredir)/lib

DIST		= $(DEPTH)/dist

MOZ_CHROME_FILE_FORMAT	= jar

MOZ_WIDGET_TOOLKIT	= gtk2
MOZ_GFX_TOOLKIT	= $(MOZ_WIDGET_TOOLKIT)
MOZ_X11			= 1

MOZ_JS_LIBS		   = -L$(DIST)/bin -lmozjs

MOZ_GFX_TOOLKIT_LDFLAGS     = -lgfx_$(MOZ_GFX_TOOLKIT) $(MOZ_XLIBRGB_LDFLAGS)
MOZ_WIDGET_TOOLKIT_LDFLAGS  = -lwidget_$(MOZ_WIDGET_TOOLKIT)

MOZ_DEBUG	= 
MOZ_DEBUG_MODULES = 
MOZ_PROFILE_MODULES = 
MOZ_DEBUG_ENABLE_DEFS		= -DDEBUG -D_DEBUG -DDEBUG_root -DTRACING
MOZ_DEBUG_DISABLE_DEFS	= -DNDEBUG -DTRIMMED
MOZ_DEBUG_FLAGS	= -g -fno-inline
MOZ_DEBUG_LDFLAGS=
MOZ_DBGRINFO_MODULES	= 
MOZ_EXTENSIONS  = spellcheck
MOZ_IMG_DECODERS= png gif jpeg bmp xbm
MOZ_IMG_ENCODERS= png jpeg
MOZ_JSDEBUGGER  = 1
MOZ_PERF_METRICS = 
MOZ_LEAKY	= 
MOZ_JPROF       = 
MOZ_XPCTOOLS    = 
ENABLE_EAZEL_PROFILER=
EAZEL_PROFILER_CFLAGS=
EAZEL_PROFILER_LIBS=
GC_LEAK_DETECTOR = 
NS_TRACE_MALLOC = 
USE_ELF_DYNSTR_GC = 
USE_PREBINDING = 
INCREMENTAL_LINKER = 
MACOSX_DEPLOYMENT_TARGET = 
MOZ_MAIL_NEWS	= 
MOZ_CALENDAR	= 
MOZ_PLAINTEXT_EDITOR_ONLY = 
MOZ_COMPOSER = 1
BUILD_SHARED_LIBS = 1
BUILD_STATIC_LIBS = 
MOZ_STATIC_COMPONENT_LIBS = 
MOZ_ENABLE_LIBXUL = 
ENABLE_TESTS	= 
IBMBIDI = 1
SUNCTL = 
ACCESSIBILITY = 1
MOZ_VIEW_SOURCE = 1
MOZ_XPINSTALL = 1
MOZ_JSLOADER  = 1
MOZ_USE_NATIVE_UCONV = 
MOZ_SINGLE_PROFILE = 1
MOZ_LDAP_XPCOM = 
MOZ_LDAP_XPCOM_EXPERIMENTAL = 
MOZ_BRANDING_DIRECTORY = 
XPCOM_USE_LEA = 
JS_ULTRASPARC_OPTS = 
MOZ_ENABLE_POSTSCRIPT = 1
JS_STATIC_BUILD = 
MOZ_INSTALLER	= 
MOZ_UPDATER	= 1
MOZ_UPDATE_PACKAGING	= 
MOZ_NO_ACTIVEX_SUPPORT = 1
MOZ_ACTIVEX_SCRIPTING_SUPPORT = 
XPC_IDISPATCH_SUPPORT = 
MOZ_XPFE_COMPONENTS = 1
MOZ_IPCD = 
MOZ_PROFILESHARING = 
MOZ_PROFILELOCKING = 1
MOZ_FEEDS = 1
MOZ_PLACES = 
MOZ_STORAGE = 1
MOZ_SAFE_BROWSING = 
MOZ_URL_CLASSIFIER = 
MOZ_MORK = 1
MOZ_MORKREADER = 
MOZ_NO_XPCOM_OBSOLETE = 
MOZ_NO_FAST_LOAD = 

MOZ_JAVAXPCOM = 
JAVA_INCLUDE_PATH=""
JAVAC=""
JAR=""

# The MOZ_UI_LOCALE var is used to build a particular locale. Do *not*
# use the var to change any binary files. Do *not* use this var unless you
# write rules for the "clean-locale" and "locale" targets.
MOZ_UI_LOCALE = en-US

MOZ_COMPONENTS_VERSION_SCRIPT_LDFLAGS = -Wl,--version-script -Wl,$(BUILD_TOOLS)/gnu-ld-scripts/components-version-script
MOZ_COMPONENT_NSPR_LIBS=-L$(DIST)/bin $(NSPR_LIBS)

MOZ_FIX_LINK_PATHS=-Wl,-rpath-link,$(DIST)/bin

XPCOM_FROZEN_LDOPTS=-L$(DIST)/bin $(MOZ_FIX_LINK_PATHS) -lxpcom
XPCOM_LIBS=-L$(DIST)/bin -lxpcom -lxpcom_core 
MOZ_REORDER=
MOZ_TIMELINE=

ENABLE_STRIP	= 

ClientWallet=1
CookieManagement=1
SingleSignon=1

MOZ_OJI		= 1
MOZ_PLUGINS	= 1

MOZ_POST_DSO_LIB_COMMAND = 
MOZ_POST_PROGRAM_COMMAND = 

MOZ_BUILD_ROOT             = /aufs/devsave/test/sources63/kompozer-0.8b3p1

MOZ_XUL                    = 1

NECKO_PROTOCOLS = http,ftp,file,jar,viewsource,res,data http ftp file jar viewsource res data
NECKO_DISK_CACHE = 1
NECKO_SMALL_BUFFERS = 
NECKO_COOKIES = 1

MOZ_NATIVE_ZLIB	= 1
MOZ_NATIVE_JPEG	= 1
MOZ_NATIVE_PNG	= 1
MOZ_TREE_CAIRO = 

MOZ_UPDATE_XTERM = 
MOZ_MATHML = 1
MOZ_XTF = 1
MOZ_NO_INSPECTOR_APIS = 
MOZ_SVG = 1
MOZ_SVG_FOREIGNOBJECT = 
MOZ_SVG_RENDERER_GDIPLUS = 
MOZ_SVG_RENDERER_LIBART = 
MOZ_SVG_RENDERER_CAIRO = 1
MOZ_LIBART_CFLAGS = 
MOZ_ENABLE_CANVAS = 1
MOZ_CAIRO_CFLAGS = -pthread -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/X11R7/include/pixman-1 -I/usr/X11R7/include -I/usr/include/freetype2 -I/usr/include/libpng12  
MOZ_CAIRO_XLIB_CFLAGS = -pthread -I/usr/include/cairo -I/usr/X11R7/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/X11R7/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
MOZ_CAIRO_XRENDER_CFLAGS = -pthread -I/usr/include/cairo -I/usr/X11R7/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/X11R7/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
TX_EXE = 

# Mac's don't like / in a #include, so we include the libart
# headers locally if we're using the external library
ifdef MOZ_LIBART_CFLAGS
ifndef MOZ_SVG_RENDERER_LIBART
MOZ_LIBART_CFLAGS := $(MOZ_LIBART_CFLAGS)/libart_lgpl
endif
endif
MOZ_LIBART_LIBS = 
MOZ_CAIRO_LIBS =   -lcairo  
MOZ_CAIRO_XLIB_LIBS =  -L/usr/X11/lib -L/usr/X11R7/lib64   -lcairo -lX11  
MOZ_CAIRO_XRENDER_LIBS =  -L/usr/X11/lib -L/usr/X11R7/lib64   -lXrender -lcairo -lX11  

MOZ_ENABLE_GNOMEUI = 
MOZ_GNOMEUI_CFLAGS = 
MOZ_GNOMEUI_LIBS = 

MOZ_GNOMEVFS_CFLAGS = 
MOZ_GNOMEVFS_LIBS = 

MOZ_GCONF_CFLAGS = 
MOZ_GCONF_LIBS = 

MOZ_LIBGNOME_CFLAGS = 
MOZ_LIBGNOME_LIBS = 

MOZ_ENABLE_GNOME_COMPONENT = 

MOZ_INSURE = 
MOZ_INSURIFYING = 
MOZ_INSURE_DIRS = 
MOZ_INSURE_EXCLUDE_DIRS = 

MOZ_NATIVE_NSPR = 
MOZ_NATIVE_NSS = 

CROSS_COMPILE   = 

OS_CPPFLAGS	=  
OS_CFLAGS	= $(OS_CPPFLAGS) -Wall -W -Wno-unused -Wpointer-arith -Wcast-align -Wno-long-long -pedantic -Os -Wl,--as-needed -pthread -pipe
OS_CXXFLAGS	= $(OS_CPPFLAGS) -fno-rtti -fno-exceptions -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-long-long -pedantic -fshort-wchar -pthread -pipe
OS_LDFLAGS	= 

OS_COMPILE_CFLAGS = $(OS_CPPFLAGS) -include $(DEPTH)/mozilla-config.h -DMOZILLA_CLIENT $(filter-out %/.pp,-Wp,-MD,$(MDDEPDIR)/$(*F).pp)
OS_COMPILE_CXXFLAGS = $(OS_CPPFLAGS) -DMOZILLA_CLIENT -include $(DEPTH)/mozilla-config.h $(filter-out %/.pp,-Wp,-MD,$(MDDEPDIR)/$(*F).pp)

OS_INCLUDES	= $(NSPR_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS)
OS_LIBS		= -ldl -lm 
ACDEFINES	=  -DHAVE_64BIT_OS=1 -DMOZILLA_VERSION=\"1.8.1.20\" -DMOZILLA_VERSION_U=1.8.1.20 -DD_INO=d_ino -DSTDC_HEADERS=1 -DHAVE_ST_BLKSIZE=1 -DHAVE_SIGINFO_T=1 -DHAVE_INT16_T=1 -DHAVE_INT32_T=1 -DHAVE_INT64_T=1 -DHAVE_UINT=1 -DHAVE_UNAME_DOMAINNAME_FIELD=1 -DHAVE_VISIBILITY_HIDDEN_ATTRIBUTE=1 -DHAVE_VISIBILITY_ATTRIBUTE=1 -DHAVE_DIRENT_H=1 -DHAVE_GETOPT_H=1 -DHAVE_SYS_BITYPES_H=1 -DHAVE_MEMORY_H=1 -DHAVE_UNISTD_H=1 -DHAVE_GNU_LIBC_VERSION_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_X11_XKBLIB_H=1 -DHAVE_SYS_STATVFS_H=1 -DHAVE_SYS_STATFS_H=1 -DHAVE_MMINTRIN_H=1 -DHAVE_SYS_CDEFS_H=1 -DHAVE_LIBM=1 -DHAVE_LIBDL=1 -DFUNCPROTO=15 -DHAVE_XSHM=1 -D_REENTRANT=1 -DHAVE_RANDOM=1 -DHAVE_STRERROR=1 -DHAVE_LCHOWN=1 -DHAVE_FCHMOD=1 -DHAVE_SNPRINTF=1 -DHAVE_MEMMOVE=1 -DHAVE_RINT=1 -DHAVE_STAT64=1 -DHAVE_LSTAT64=1 -DHAVE_FLOCKFILE=1 -DHAVE_LOCALTIME_R=1 -DHAVE_STRTOK_R=1 -DHAVE_RES_NINIT=1 -DHAVE_GNU_GET_LIBC_VERSION=1 -DHAVE_LANGINFO_CODESET=1 -DVA_COPY=va_copy -DHAVE_VA_COPY=1 -DHAVE_VA_LIST_AS_ARRAY=1 -DHAVE_I18N_LC_MESSAGES=1 -DMOZ_DEFAULT_TOOLKIT=\"gtk2\" -DMOZ_WIDGET_GTK2=1 -DMOZ_ENABLE_XREMOTE=1 -DMOZ_X11=1 -DMOZ_STANDALONE_COMPOSER=1 -DMOZ_BUILD_APP=composer -DMOZ_XUL_APP=1 -DMOZ_ENABLE_CANVAS=1 -DMOZ_DISTRIBUTION_ID=\"org.mozilla\" -DMOZ_ENABLE_XFT=1 -DMOZ_ENABLE_PANGO=1 -DOJI=1 -DMOZ_ENABLE_XINERAMA=1 -DIBMBIDI=1 -DMOZ_VIEW_SOURCE=1 -DACCESSIBILITY=1 -DMOZ_XPINSTALL=1 -DMOZ_JSLOADER=1 -DNS_PRINTING=1 -DNS_PRINT_PREVIEW=1 -DMOZ_XTF=1 -DMOZ_MATHML=1 -DMOZ_SVG=1 -DMOZ_SVG_RENDERER_CAIRO=1 -DMOZ_UPDATE_CHANNEL=default -DMOZ_FEEDS=1 -DMOZ_STORAGE=1 -DMOZ_LOGGING=1 -DHAVE___CXA_DEMANGLE=1 -DMOZ_USER_DIR=\".mozilla\" -DMOZ_XUL=1 -DMOZ_PROFILELOCKING=1 -DMOZ_MORK=1 -DMOZ_DLL_SUFFIX=\".so\" -DXP_UNIX=1 -DUNIX_ASYNC_DNS=1 -DJS_THREADSAFE=1 -DMOZ_ACCESSIBILITY_ATK=1 -DMOZILLA_1_8_BRANCH=1 -DMOZILLA_LOCALE_VERSION=\"1.8.1\" -DMOZILLA_REGION_VERSION=\"1.8.1\" -DMOZILLA_SKIN_VERSION=\"1.8\" 

MOZ_OPTIMIZE	= 1
MOZ_OPTIMIZE_FLAGS = -O
MOZ_OPTIMIZE_LDFLAGS = 

PROFILE_GEN_CFLAGS = -fprofile-generate
PROFILE_USE_CFLAGS = -fprofile-use

XCFLAGS		= 
XLDFLAGS	=  -L/usr/X11/lib
XLIBS		= -lX11 

WIN_TOP_SRC	= 
CYGWIN_WRAPPER	= 
AS_PERL         = 
CYGDRIVE_MOUNT	= 
AR		= ar
AR_FLAGS	= cr $@
AR_EXTRACT	= $(AR) x
AR_LIST		= $(AR) t
AR_DELETE	= $(AR) d
AS		= $(CC)
ASFLAGS		= 
AS_DASH_C_FLAG	= -c
LD		= ld
RC		= 
RCFLAGS		= 
WINDRES		= :
USE_SHORT_LIBNAME = 
IMPLIB		= 
FILTER		= 
BIN_FLAGS	= 
MIDL		= 
MIDL_FLAGS	= 
_MSC_VER	= 

DLL_PREFIX	= lib
LIB_PREFIX	= lib
OBJ_SUFFIX	= o
LIB_SUFFIX	= a
DLL_SUFFIX	= .so
BIN_SUFFIX	= 
ASM_SUFFIX	= s
IMPORT_LIB_SUFFIX = 
USE_N32		= 
HAVE_64BIT_OS	= 1

# Temp hack.  It is not my intention to leave this crap in here for ever.
# Im talking to fur right now to solve the problem without introducing 
# NS_USE_NATIVE to the build system -ramiro.
NS_USE_NATIVE = 

CC		    = gcc
CXX		    = c++

GNU_AS		= 1
GNU_LD		= 1
GNU_CC		= 1
GNU_CXX		= 1
HAVE_GCC3_ABI	= 1

HOST_CC		= gcc
HOST_CXX	= c++
HOST_CFLAGS	= -Os -Wl,--as-needed -DXP_UNIX
HOST_CXXFLAGS	= 
HOST_OPTIMIZE_FLAGS = -O3
HOST_NSPR_MDCPUCFG = \"md/_linux.cfg\"
HOST_AR		= $(AR)
HOST_AR_FLAGS	= $(AR_FLAGS)
HOST_LD		= 
HOST_RANLIB	= ranlib
HOST_BIN_SUFFIX	= 

HOST_LIBIDL_CONFIG = 
HOST_LIBIDL_CFLAGS = 
HOST_LIBIDL_LIBS   = 

HOST_OS_ARCH	= Linux
host_cpu	= x86_64
host_vendor	= unknown
host_os		= linux-gnu

TARGET_NSPR_MDCPUCFG = \"md/_linux.cfg\"
TARGET_CPU	= x86_64
TARGET_VENDOR	= unknown
TARGET_OS	= linux-gnu
TARGET_MD_ARCH	= unix
TARGET_XPCOM_ABI = x86_64-gcc3

AUTOCONF	= /usr/bin/autoconf
PERL		= /usr/bin/perl
RANLIB		= ranlib
WHOAMI		= /usr/bin/whoami
UNZIP		= /usr/bin/unzip
ZIP		= /usr/bin/zip
XARGS		= /usr/bin/xargs
STRIP		= strip
DOXYGEN		= :
MAKE		= /usr/bin/gmake
PBBUILD_BIN	= 
SDP		= 
NSINSTALL_BIN	= 

ifdef MOZ_NATIVE_JPEG
JPEG_CFLAGS	= 
JPEG_LIBS	= -ljpeg 
JPEG_REQUIRES	=
else
JPEG_CFLAGS	= 
JPEG_LIBS	= -L$(DIST)/lib -lmozjpeg
JPEG_REQUIRES	= jpeg
endif

ifdef MOZ_NATIVE_ZLIB
ZLIB_CFLAGS	= 
ZLIB_LIBS	= -lz 
ZLIB_REQUIRES	=
else
ZLIB_CFLAGS	= 
ifdef MOZ_ENABLE_LIBXUL
MOZ_ZLIB_LIBS = -L$(DIST)/lib -lmozz
else
ZLIB_LIBS = -L$(DIST)/lib -lmozz
endif
ZLIB_REQUIRES	= zlib
endif

ifdef MOZ_NATIVE_PNG
PNG_CFLAGS	= 
PNG_LIBS	= -lpng 
PNG_REQUIRES	=
else
PNG_CFLAGS	= 
PNG_LIBS	= -L$(DIST)/lib -lmozpng
PNG_REQUIRES	= png
endif

NSPR_CONFIG	= 
NSPR_CFLAGS = -I$(DIST)/include/nspr
NSPR_LIBS = -L$(DIST)/lib -lplds4 -lplc4 -lnspr4 -lpthread -ldl

NSS_CONFIG	= 
NSS_CFLAGS	= -I$(DIST)/public/nss
NSS_LIBS	= -L$(LIBS_DIR) -lcrmf -lsmime3 -lssl3 -lnss3 -lsoftokn3
NSS_DEP_LIBS	= \
        $(DIST)/lib/$(LIB_PREFIX)crmf.$(LIB_SUFFIX) \
        $(DIST)/lib/$(DLL_PREFIX)smime3$(DLL_SUFFIX) \
        $(DIST)/lib/$(DLL_PREFIX)ssl3$(DLL_SUFFIX) \
        $(DIST)/lib/$(DLL_PREFIX)nss3$(DLL_SUFFIX) \
        $(DIST)/lib/$(DLL_PREFIX)softokn3$(DLL_SUFFIX)

LDAP_CFLAGS	= 
LDAP_LIBS	= 
XPCOM_GLUE_LDOPTS = $(DIST)/lib/$(LIB_PREFIX)xpcomglue_s.$(LIB_SUFFIX) $(XPCOM_FROZEN_LDOPTS)
XPCOM_STANDALONE_GLUE_LDOPTS = $(DIST)/lib/$(LIB_PREFIX)xpcomglue.$(LIB_SUFFIX)
MOZ_XPCOM_OBSOLETE_LIBS = -L$(DIST)/lib -lxpcom_compat

USE_DEPENDENT_LIBS = 1

# UNIX98 iconv support
LIBICONV = 

# MKSHLIB_FORCE_ALL is used to force the linker to include all object
# files present in an archive. MKSHLIB_UNFORCE_ALL reverts the linker
# to normal behavior. Makefile's that create shared libraries out of
# archives use these flags to force in all of the .o files in the
# archives into the shared library.
WRAP_MALLOC_LIB         = 
WRAP_MALLOC_CFLAGS      = 
DSO_CFLAGS              = 
DSO_PIC_CFLAGS          = -fPIC
MKSHLIB                 = $(CXX) $(CXXFLAGS) $(DSO_PIC_CFLAGS) $(DSO_LDOPTS) -Wl,-h,$@ -o $@
MKCSHLIB                = $(CC) $(CFLAGS) $(DSO_PIC_CFLAGS) $(DSO_LDOPTS) -Wl,-h,$@ -o $@
MKSHLIB_FORCE_ALL       = -Wl,--whole-archive
MKSHLIB_UNFORCE_ALL     = -Wl,--no-whole-archive
DSO_LDOPTS              = -shared -Wl,-z,defs
DLL_SUFFIX              = .so

NO_LD_ARCHIVE_FLAGS     = 

GTK_CONFIG	= 
TK_CFLAGS	= $(MOZ_GTK2_CFLAGS)
TK_LIBS		= $(MOZ_GTK2_LIBS)

MOZ_TOOLKIT_REGISTRY_CFLAGS = \
	-DWIDGET_DLL=\"libwidget_$(MOZ_WIDGET_TOOLKIT)$(DLL_SUFFIX)\" \
	-DGFXWIN_DLL=\"libgfx_$(MOZ_GFX_TOOLKIT)$(DLL_SUFFIX)\" \
	$(TK_CFLAGS)

CAIRO_FT_CFLAGS         = 

MOZ_ENABLE_CAIRO_GFX	= 
MOZ_ENABLE_CAIRO_FT     = 
MOZ_ENABLE_GTK		= 
MOZ_ENABLE_GTK2		= 1
MOZ_ENABLE_XLIB		= 
MOZ_ENABLE_QT		= 
MOZ_ENABLE_PHOTON	= 
MOZ_ENABLE_COCOA	= 
MOZ_ENABLE_XREMOTE	= 1

MOZ_GTK_CFLAGS		= 
MOZ_GTK_LDFLAGS		= 

MOZ_GTK2_CFLAGS		= -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/X11R7/include/pixman-1 -I/usr/X11R7/include -I/usr/include/freetype2 -I/usr/include/libpng12  
MOZ_GTK2_LIBS		= -L/usr/X11R7/lib64   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng12 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  

MOZ_XLIB_CFLAGS		= 
MOZ_XLIB_LDFLAGS	= 

MOZ_QT_CFLAGS		= 
MOZ_QT_LDFLAGS		= 

MOZ_XPRINT_CFLAGS	= 
MOZ_XPRINT_LDFLAGS	=  -L/usr/X11/lib -lXp -lXext -lX11
MOZ_ENABLE_XPRINT	= 

MOZ_ENABLE_FREETYPE2   = 
FT2_CFLAGS             = -I/usr/include/freetype2
FT2_LIBS               = -lfreetype -lz -lbz2

MOZ_ENABLE_XFT		= 1
MOZ_XFT_CFLAGS		= -I/usr/X11R7/include -I/usr/include/freetype2  
MOZ_XFT_LIBS		= -L/usr/X11R7/lib64   -lXft  
MOZ_ENABLE_COREXFONTS	= 

MOZ_ENABLE_PANGO        = 1
MOZ_PANGO_CFLAGS        = -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/X11R7/include  
MOZ_PANGO_LIBS          = -L/usr/X11R7/lib64   -lpangoft2-1.0 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  

MOZ_EXTRA_X11CONVERTERS	= 

MOZ_ENABLE_XINERAMA	= 1
MOZ_XINERAMA_LIBS	= -lXinerama

MOZ_XIE_LIBS		= 
XT_LIBS			= -lXt

GLIB_CFLAGS	= -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GLIB_LIBS	=   -lglib-2.0  
GLIB_GMODULE_LIBS	= 
LIBIDL_CFLAGS = -I/usr/include/libIDL-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
LIBIDL_LIBS =   -lIDL-2 -lglib-2.0  
STATIC_LIBIDL = 

MOZ_NATIVE_MAKEDEPEND	= /usr/X11R7/bin/makedepend

# Used for LD_LIBRARY_PATH
LIBS_PATH       = 

MOZ_AUTO_DEPS	= 1
COMPILER_DEPEND = 1
MDDEPDIR        := .deps

MOZ_DEMANGLE_SYMBOLS = 

# XXX - these need to be cleaned up and have real checks added -cls
CM_BLDTYPE=dbg
AWT_11=1
MOZ_BITS=32
OS_TARGET=Linux
OS_ARCH=Linux
OS_RELEASE=3.3.4
OS_TEST=x86_64

TARGET_DEVICE = 

# For AIX build
AIX_OBJMODEL = 

# For OS/2 build
MOZ_OS2_TOOLS = 
MOZ_OS2_EMX_OBJECTFORMAT = 

HAVE_XIE=

MOZ_MOVEMAIL=1
MOZ_PSM=1

# Gssapi (krb5) libraries and headers for the Negotiate auth method
GSSAPI_INCLUDES = @GSSAPI_INCLUDES@
USE_GSSAPI	= @USE_GSSAPI@

# for Qt build
MOC=

# Win32 options
MOZ_PROFILE	= 
MOZ_COVERAGE	= 
MOZ_BROWSE_INFO	= 
MOZ_TOOLS_DIR	= 
MOZ_DEBUG_SYMBOLS = 
MOZ_QUANTIFY	= 

#python options
PYTHON = 
PYTHON_PREFIX = 
PYTHON_INCLUDES = 
PYTHON_LIBS = 
PYTHON_DEBUG_SUFFIX = 
PYTHON_DLL_SUFFIX = 
PYTHON_VER_DOTTED = 
PYTHON_VER = 

# Codesighs tools option, enables win32 mapfiles.
MOZ_MAPINFO	= 

MOZ_PHOENIX	= 
MOZ_XULRUNNER	= 
MOZ_XUL_APP	= 1
MOZ_THUNDERBIRD = 
MOZ_STANDALONE_COMPOSER= 1
MOZ_STATIC_MAIL_BUILD = 
MOZ_SUNBIRD	= 
MOZ_SUITE	= 
WINCE		= 

MOZ_DISTRIBUTION_ID = org.mozilla

MINIMO		= 

MACOS_SDK_DIR	= 
NEXT_ROOT	= 
GCC_VERSION	= 
XCODEBUILD_VERSION= 
HAS_XCODE_2_1	= 
UNIVERSAL_BINARY= 

VISIBILITY_FLAGS = -I$(DIST)/include/system_wrappers -include $(topsrcdir)/config/gcc_hidden.h
WRAP_SYSTEM_INCLUDES = 1

MOZ_V1_STRING_ABI = 1

MOZILLA_1_8_BRANCH = 1
